Robotsystem of the Robot Group Leipzig: OdeConfig Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OdeConfig Class Reference

The class $name holds the configurable parameters of the simulation environment. More...

`#include <odeconfig.h>`

Inherits Configurable.

Inheritance diagram for OdeConfig:

[legend]
Collaboration diagram for OdeConfig:

[legend]
List of all members.

## Public Member Functions
| OdeConfig ()
virtual | ~OdeConfig ()
virtual paramlist | getParamList () const
| The list of all parameters with there value as allocated lists.
virtual paramval | getParam (const paramkey &key) const
virtual bool | setParam (const paramkey &key, paramval val)
virtual void | setOdeHandle (const OdeHandle &odeHandle)
virtual void | setVideoRecordingMode (bool mode)
virtual void | calcAndSetDrawInterval (int Hz, double rtf)
## Public Attributes
bool | videoRecordingMode
double | simStepSize
double | realTimeFactor
double | motionPersistence
int | drawInterval
int | controlInterval
double | noise
double | gravity
double | cameraSpeed
long | randomSeed
OdeHandle | odeHandle

## Detailed Description

The class $name holds the configurable parameters of the simulation environment.

## Constructor & Destructor Documentation

OdeConfig | ( |  | ) |

virtual ~OdeConfig | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void calcAndSetDrawInterval | ( | int | Hz,
|  | double | rtf |
| ) |  |  | `[virtual]`

Configurable::paramval getParam | ( | const paramkey & | key | ) | const`[virtual]`

Configurable::paramlist getParamList | ( |  | ) | const`[virtual]`

The list of all parameters with there value as allocated lists.

Returns:
  list of key-value pairs

Reimplemented from Configurable.

void setOdeHandle | ( | const OdeHandle & | odeHandle | ) | `[virtual]`

bool setParam | ( | const paramkey & | key,
|  | paramval | val |
| ) |  |  | `[virtual]`

Examples:
  template_sphererobot/main.cpp.

void setVideoRecordingMode | ( | bool | mode | ) | `[virtual]`

## Member Data Documentation

double cameraSpeed

int controlInterval

int drawInterval

double gravity

double motionPersistence

double noise

OdeHandle odeHandle

long randomSeed

double realTimeFactor

double simStepSize

bool videoRecordingMode

The documentation for this class was generated from the following files:

- odeconfig.h
- odeconfig.cpp